Skip to content
LogoLogo

IBC Transfer

EscrowAddress

GET/ibc/apps/transfer/v1/channels/{channel_id}/ports/{port_id}/escrow_address

EscrowAddress returns the escrow address for a particular port and channel id.

Path Parameters

channel_idRequired
string

unique channel identifier

port_idRequired
string

unique port identifier

Responses

DenomHash

GET/ibc/apps/transfer/v1/denom_hashes/{trace}

DenomHash queries a denomination hash information.

Path Parameters

traceRequired
string

The denomination trace ([port_id]/[channel_id])+/[denom]

Responses

Denoms

GET/ibc/apps/transfer/v1/denoms

Denoms queries all denominations

Query Parameters

pagination.key
string <byte>

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

Denom

GET/ibc/apps/transfer/v1/denoms/{hash}

Denom queries a denomination

Path Parameters

hashRequired
string

hash (in hex format) or denom (full denom with ibc prefix) of the on chain denomination.

Responses

Params

GET/ibc/apps/transfer/v1/params

Params queries all parameters of the ibc-transfer module.

Responses

TotalEscrowForDenom

GET/ibc/apps/transfer/v1/total_escrow/{denom}

TotalEscrowForDenom returns the total amount of tokens in escrow based on the denom.

Path Parameters

denomRequired
string

Responses